## org.apache.aries.subsystem.core.internal
Class RepositoryServiceRepository

    java.lang.Object
      org.apache.aries.subsystem.core.internal.RepositoryServiceRepository

All Implemented Interfaces:
  Repository

    public class RepositoryServiceRepository

extends Object
implements Repository

Field Summary

Fields inherited from interface org.osgi.service.repository.Repository
`URL`

Constructor Summary
`RepositoryServiceRepository()`
`RepositoryServiceRepository(org.osgi.framework.BundleContext context)`

Method Summary
`Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>>` `findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)` Find the capabilities that match the specified requirements.
`Collection<org.osgi.resource.Capability>` `findProviders(org.osgi.resource.Requirement requirement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryServiceRepository

    public RepositoryServiceRepository()

### RepositoryServiceRepository

    public RepositoryServiceRepository(org.osgi.framework.BundleContext context)

Method Detail

### findProviders

    public Collection<org.osgi.resource.Capability> findProviders(org.osgi.resource.Requirement requirement)

### findProviders

    public Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>> findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)

  Description copied from interface: `Repository`
  Find the capabilities that match the specified requirements.

  Specified by:
    `findProviders` in interface `Repository`
  Parameters:
    `requirements` - The requirements for which matching capabilities should be returned. Must not be `null`.
  Returns:
    A map of matching capabilities for the specified requirements. Each specified requirement must appear as a key in the map. If there are no matching capabilities for a specified requirement, then the value in the map for the specified requirement must be an empty collection. The returned map is the property of the caller and can be modified by the caller.

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.